# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{default_fonts_foundry} %{fonts_family}"), "[%p%s]+", "_");print(t)}

%global source_version 20060908
%global source_release 35
%global source_url     http://www.greekfontsociety-gfs.gr/typefaces/19th_century

%global default_fonts_foundry      GFS
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Porson
%global fonts_summary            GFS Porson, a 19th century Greek font family
%global fonts_fonts              *.otf
%global fonts_experimental_confs 61-%{fonts_name}.xml
%global fonts_description        %{expand:
In England, during the 1790’s, Cambridge University Press decided to procure a
new set of Greek types. The university’s great scholar of Classics, Richard
Porson was asked to produce a typeface based on his handsome handwriting and
Richard Austin was commissioned to cut the types. The type was completed in
1808, after the untimely death of Porson the previous year. Its success was
immediate and since then the classical editions in Great Britain and the
U.S.A. use it, almost invariably.

In 1913, Monotype released the typeface with some corrections, notably
replacing the upright capitals suggested by Porson with inclined ones. In
Greece the typeface was used under the name Pelasgika type.

GFS Porson is based on the Monotype version, though using upright capitals, as
in the original.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%sourcelist
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archive_name}.zip
61-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -c -T
unzip -j -q %{_sourcedir}/%{archive_name}.zip
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20060908-35
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20060908-34
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20060908-33
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20060908-32
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20060908-31
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20060908-30
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20060908-29
✅ Convert to fonts-rpm-macros use

* Sun Nov 25 2007 Nicolas Mailhot <nim@fedoraproject.org>
- 20060908-2
✅ Initial packaging
